Author Message
NarcisC
Joined: Nov 16, 2020
Messages: 34
Offline
Hello,

Currently the java sdk contains log4j-1.2.17.jar.
Is there any possibility to have log4j2 included?

There are customers that refuses to have log4j in their system.
MartinFlynn
Joined: Nov 30, 2009
Messages: 1812
Offline
In theory, at least, you should be able to use a newer version of log4j when executing your application. However, this may lead to runtime problems as, I believe, some API's have been removed in log4j2 which are used by DMCC.

I have asked the product house to upgrade the version of log4j used by DMCC and, hopefully, the new problems found in log4j will cause them to look into the issue very soon.

You can check the current state of Avaya's work on this issue at https://support.avaya.com/helpcenter/getGenericDetails?detailId=1399839287609

Martin
NarcisC
Joined: Nov 16, 2020
Messages: 34
Offline
Thanks.
Yes, when simply trying to use the new version I got some exceptions on runtime.
Go to:   
Mobile view